;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;
;	CXSetup.ini
;
;	K30 USB Driver Installer
;
;		Copyright 2023 G-Printec, Inc.
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;	Setup Information
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

[Information]
Version  = 1.00
Products = "K30 USB"

[OS]
Entry = 6
OS1 = Win7
OS2 = Win81
OS3 = Win10,Win11
OS4 = Win764,2008R2
OS5 = Win8164,2012R2
OS6 = Win1064,2016

[WDM]
Entry = 10
Name1  = "K30_WinUSB U1",  USB_OS1
Name2  = "K30_WinUSB U2",  USB_OS2
Name3  = "K30_WinUSB U3",  USB_OS3
Name4  = "K30_WinUSB U4",  USB_OS4
Name5  = "K30_WinUSB U5",  USB_OS5
Name6  = "K30_WinUSB U6",  USB_OS6
Name7  = "K30_WinUSB U7",  USB_OS7
Name8  = "K30_WinUSB U8",  USB_OS8
Name9  = "K30_WinUSB U9",  USB_OS9
Name10 = "K30_WinUSB U10", USB_OS10


;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;	OS Table
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;	WDM
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

[USB_OS1]
OS1 = USB_FILE1_W7,     1:./CX_PORT_7
OS2 = USB_FILE1_W10,    1:./CX_PORT_8
OS3 = USB_FILE1_W10,    1:./CX_PORT_10
OS4 = USB_FILE1_W764,   1:./CX_PORT_7
OS5 = USB_FILE1_W1064,  1:./CX_PORT_8
OS6 = USB_FILE1_W1064,  1:./CX_PORT_10

[USB_OS2]
OS1 = USB_FILE2_W7,     1:./CX_PORT_7
OS2 = USB_FILE2_W10,    1:./CX_PORT_8
OS3 = USB_FILE2_W10,    1:./CX_PORT_10
OS4 = USB_FILE2_W764,   1:./CX_PORT_7
OS5 = USB_FILE2_W1064,  1:./CX_PORT_8
OS6 = USB_FILE2_W1064,  1:./CX_PORT_10

[USB_OS3]
OS1 = USB_FILE3_W7,     1:./CX_PORT_7
OS2 = USB_FILE3_W10,    1:./CX_PORT_8
OS3 = USB_FILE3_W10,    1:./CX_PORT_10
OS4 = USB_FILE3_W764,   1:./CX_PORT_7
OS5 = USB_FILE3_W1064,  1:./CX_PORT_8
OS6 = USB_FILE3_W1064,  1:./CX_PORT_10

[USB_OS4]
OS1 = USB_FILE4_W7,     1:./CX_PORT_7
OS2 = USB_FILE4_W10,    1:./CX_PORT_8
OS3 = USB_FILE4_W10,    1:./CX_PORT_10
OS4 = USB_FILE4_W764,   1:./CX_PORT_7
OS5 = USB_FILE4_W1064,  1:./CX_PORT_8
OS6 = USB_FILE4_W1064,  1:./CX_PORT_10

[USB_OS5]
OS1 = USB_FILE5_W7,     1:./CX_PORT_7
OS2 = USB_FILE5_W10,    1:./CX_PORT_8
OS3 = USB_FILE5_W10,    1:./CX_PORT_10
OS4 = USB_FILE5_W764,   1:./CX_PORT_7
OS5 = USB_FILE5_W1064,  1:./CX_PORT_8
OS6 = USB_FILE5_W1064,  1:./CX_PORT_10

[USB_OS6]
OS1 = USB_FILE6_W7,     1:./CX_PORT_7
OS2 = USB_FILE6_W10,    1:./CX_PORT_8
OS3 = USB_FILE6_W10,    1:./CX_PORT_10
OS4 = USB_FILE6_W764,   1:./CX_PORT_7
OS5 = USB_FILE6_W1064,  1:./CX_PORT_8
OS6 = USB_FILE6_W1064,  1:./CX_PORT_10

[USB_OS7]
OS1 = USB_FILE7_W7,     1:./CX_PORT_7
OS2 = USB_FILE7_W10,    1:./CX_PORT_8
OS3 = USB_FILE7_W10,    1:./CX_PORT_10
OS4 = USB_FILE7_W764,   1:./CX_PORT_7
OS5 = USB_FILE7_W1064,  1:./CX_PORT_8
OS6 = USB_FILE7_W1064,  1:./CX_PORT_10

[USB_OS8]
OS1 = USB_FILE8_W7,     1:./CX_PORT_7
OS2 = USB_FILE8_W10,    1:./CX_PORT_8
OS3 = USB_FILE8_W10,    1:./CX_PORT_10
OS4 = USB_FILE8_W764,   1:./CX_PORT_7
OS5 = USB_FILE8_W1064,  1:./CX_PORT_8
OS6 = USB_FILE8_W1064,  1:./CX_PORT_10

[USB_OS9]
OS1 = USB_FILE9_W7,     1:./CX_PORT_7
OS2 = USB_FILE9_W10,    1:./CX_PORT_8
OS3 = USB_FILE9_W10,    1:./CX_PORT_10
OS4 = USB_FILE9_W764,   1:./CX_PORT_7
OS5 = USB_FILE9_W1064,  1:./CX_PORT_8
OS6 = USB_FILE9_W1064,  1:./CX_PORT_10

[USB_OS10]
OS1 = USB_FILE10_W7,    1:./CX_PORT_7
OS2 = USB_FILE10_W10,   1:./CX_PORT_8
OS3 = USB_FILE10_W10,   1:./CX_PORT_10
OS4 = USB_FILE10_W764,  1:./CX_PORT_7
OS5 = USB_FILE10_W1064, 1:./CX_PORT_8
OS6 = USB_FILE10_W1064, 1:./CX_PORT_10


;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;	Component
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;	WDM
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

[USB_FILE1_W10]
WDMInf =            PDR21UX4.inf
WDMFile =
WDMIDs =            VID_04F1&PID_404E
WDMDependFiles =    USB_COPYDEPEND_W10

[USB_FILE2_W10]
WDMInf =            PDR21UX4.inf
WDMFile =
WDMIDs =            VID_04F1&PID_404F
WDMDependFiles =    USB_COPYDEPEND_W10

[USB_FILE3_W10]
WDMInf =            PDR21UX4.inf
WDMFile =
WDMIDs =            VID_04F1&PID_4050
WDMDependFiles =    USB_COPYDEPEND_W10

[USB_FILE4_W10]
WDMInf =            PDR21UX4.inf
WDMFile =
WDMIDs =            VID_04F1&PID_4051
WDMDependFiles =    USB_COPYDEPEND_W10

[USB_FILE5_W10]
WDMInf =            PDR21UX4.inf
WDMFile =
WDMIDs =            VID_04F1&PID_4052
WDMDependFiles =    USB_COPYDEPEND_W10

[USB_FILE6_W10]
WDMInf =            PDR21UX4.inf
WDMFile =
WDMIDs =            VID_04F1&PID_4053
WDMDependFiles =    USB_COPYDEPEND_W10

[USB_FILE7_W10]
WDMInf =            PDR21UX4.inf
WDMFile =
WDMIDs =            VID_04F1&PID_4054
WDMDependFiles =    USB_COPYDEPEND_W10

[USB_FILE8_W10]
WDMInf =            PDR21UX4.inf
WDMFile =
WDMIDs =            VID_04F1&PID_4055
WDMDependFiles =    USB_COPYDEPEND_W10

[USB_FILE9_W10]
WDMInf =            PDR21UX4.inf
WDMFile =
WDMIDs =            VID_04F1&PID_4056
WDMDependFiles =    USB_COPYDEPEND_W10

[USB_FILE10_W10]
WDMInf =            PDR21UX4.inf
WDMFile =
WDMIDs =            VID_04F1&PID_4057
WDMDependFiles =    USB_COPYDEPEND_W10


[USB_FILE1_W1064]
WDMInf =            PDR21UX4.inf
WDMFile =
WDMIDs =            VID_04F1&PID_404E
WDMDependFiles =    USB_COPYDEPEND_W1064

[USB_FILE2_W1064]
WDMInf =            PDR21UX4.inf
WDMFile =
WDMIDs =            VID_04F1&PID_404F
WDMDependFiles =    USB_COPYDEPEND_W1064

[USB_FILE3_W1064]
WDMInf =            PDR21UX4.inf
WDMFile =
WDMIDs =            VID_04F1&PID_4050
WDMDependFiles =    USB_COPYDEPEND_W1064

[USB_FILE4_W1064]
WDMInf =            PDR21UX4.inf
WDMFile =
WDMIDs =            VID_04F1&PID_4051
WDMDependFiles =    USB_COPYDEPEND_W1064

[USB_FILE5_W1064]
WDMInf =            PDR21UX4.inf
WDMFile =
WDMIDs =            VID_04F1&PID_4052
WDMDependFiles =    USB_COPYDEPEND_W1064

[USB_FILE6_W1064]
WDMInf =            PDR21UX4.inf
WDMFile =
WDMIDs =            VID_04F1&PID_4053
WDMDependFiles =    USB_COPYDEPEND_W1064

[USB_FILE7_W1064]
WDMInf =            PDR21UX4.inf
WDMFile =
WDMIDs =            VID_04F1&PID_4054
WDMDependFiles =    USB_COPYDEPEND_W1064

[USB_FILE8_W1064]
WDMInf =            PDR21UX4.inf
WDMFile =
WDMIDs =            VID_04F1&PID_4055
WDMDependFiles =    USB_COPYDEPEND_W1064

[USB_FILE9_W1064]
WDMInf =            PDR21UX4.inf
WDMFile =
WDMIDs =            VID_04F1&PID_4056
WDMDependFiles =    USB_COPYDEPEND_W1064

[USB_FILE10_W1064]
WDMInf =            PDR21UX4.inf
WDMFile =
WDMIDs =            VID_04F1&PID_4057
WDMDependFiles =    USB_COPYDEPEND_W1064


[USB_FILE1_W7]
WDMInf =            PDR21UX4.inf
WDMFile =
WDMIDs =            VID_04F1&PID_404E
WDMDependFiles =    USB_COPYDEPEND_W7

[USB_FILE2_W7]
WDMInf =            PDR21UX4.inf
WDMFile =
WDMIDs =            VID_04F1&PID_404F
WDMDependFiles =    USB_COPYDEPEND_W7

[USB_FILE3_W7]
WDMInf =            PDR21UX4.inf
WDMFile =
WDMIDs =            VID_04F1&PID_4050
WDMDependFiles =    USB_COPYDEPEND_W7

[USB_FILE4_W7]
WDMInf =            PDR21UX4.inf
WDMFile =
WDMIDs =            VID_04F1&PID_4051
WDMDependFiles =    USB_COPYDEPEND_W7

[USB_FILE5_W7]
WDMInf =            PDR21UX4.inf
WDMFile =
WDMIDs =            VID_04F1&PID_4052
WDMDependFiles =    USB_COPYDEPEND_W7

[USB_FILE6_W7]
WDMInf =            PDR21UX4.inf
WDMFile =
WDMIDs =            VID_04F1&PID_4053
WDMDependFiles =    USB_COPYDEPEND_W7

[USB_FILE7_W7]
WDMInf =            PDR21UX4.inf
WDMFile =
WDMIDs =            VID_04F1&PID_4054
WDMDependFiles =    USB_COPYDEPEND_W7

[USB_FILE8_W7]
WDMInf =            PDR21UX4.inf
WDMFile =
WDMIDs =            VID_04F1&PID_4055
WDMDependFiles =    USB_COPYDEPEND_W7

[USB_FILE9_W7]
WDMInf =            PDR21UX4.inf
WDMFile =
WDMIDs =            VID_04F1&PID_4056
WDMDependFiles =    USB_COPYDEPEND_W7

[USB_FILE10_W7]
WDMInf =            PDR21UX4.inf
WDMFile =
WDMIDs =            VID_04F1&PID_4057
WDMDependFiles =    USB_COPYDEPEND_W7


[USB_FILE1_W764]
WDMInf =            PDR21UX4.inf
WDMFile =
WDMIDs =            VID_04F1&PID_404E
WDMDependFiles =    USB_COPYDEPEND_W764

[USB_FILE2_W764]
WDMInf =            PDR21UX4.inf
WDMFile =
WDMIDs =            VID_04F1&PID_404F
WDMDependFiles =    USB_COPYDEPEND_W764

[USB_FILE3_W764]
WDMInf =            PDR21UX4.inf
WDMFile =
WDMIDs =            VID_04F1&PID_4050
WDMDependFiles =    USB_COPYDEPEND_W764

[USB_FILE4_W764]
WDMInf =            PDR21UX4.inf
WDMFile =
WDMIDs =            VID_04F1&PID_4051
WDMDependFiles =    USB_COPYDEPEND_W764

[USB_FILE5_W764]
WDMInf =            PDR21UX4.inf
WDMFile =
WDMIDs =            VID_04F1&PID_4052
WDMDependFiles =    USB_COPYDEPEND_W764

[USB_FILE6_W764]
WDMInf =            PDR21UX4.inf
WDMFile =
WDMIDs =            VID_04F1&PID_4053
WDMDependFiles =    USB_COPYDEPEND_W764

[USB_FILE7_W764]
WDMInf =            PDR21UX4.inf
WDMFile =
WDMIDs =            VID_04F1&PID_4054
WDMDependFiles =    USB_COPYDEPEND_W764

[USB_FILE8_W764]
WDMInf =            PDR21UX4.inf
WDMFile =
WDMIDs =            VID_04F1&PID_4055
WDMDependFiles =    USB_COPYDEPEND_W764

[USB_FILE9_W764]
WDMInf =            PDR21UX4.inf
WDMFile =
WDMIDs =            VID_04F1&PID_4056
WDMDependFiles =    USB_COPYDEPEND_W764

[USB_FILE10_W764]
WDMInf =            PDR21UX4.inf
WDMFile =
WDMIDs =            VID_04F1&PID_4057
WDMDependFiles =    USB_COPYDEPEND_W764


;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;	Dependence information
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;Destination: 
; 1:any(absolute path), 2:System32, 3:SysWOW64, 
; 4:System32\downlevel, 5:SysWOW64\downlevel

[USB_COPYDEPEND_W1064]
Entry = 2
Name1  = USB_COPY_ALL64,    2, 1:./x64
Name2  = USB_COPY_ALL,      3, 1:./

[USB_COPYDEPEND_W10]
Entry = 1
Name1  = USB_COPY_ALL,      2, 1:./

[USB_COPYDEPEND_W764]
Entry = 2
Name1  = USB_COPY_ALL_W764, 2, 1:./x64
Name2  = USB_COPY_ALL_W7,   3, 1:./

[USB_COPYDEPEND_W7]
Entry = 1
Name1  = USB_COPY_ALL_W7,   2, 1:./


;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;	Dependence File List
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

[USB_COPY_ALL]
PCP21CT.DLL =
PDR21CX4.dll =
PDR21UX.dll =
concrt140.dll =
msvcp140.dll =
msvcp140_1.dll =
msvcp140_2.dll =
msvcp140_atomic_wait.dll =
msvcp140_codecvt_ids.dll =
vccorlib140.dll =
vcruntime140.dll =

[USB_COPY_ALL64]
PCP21CT64.DLL =
PDR21CX4.dll =
PDR21UX.dll =
concrt140.dll =
msvcp140.dll =
msvcp140_1.dll =
msvcp140_2.dll =
msvcp140_atomic_wait.dll =
msvcp140_codecvt_ids.dll =
vccorlib140.dll =
vcruntime140.dll =
vcruntime140_1.dll =

[USB_COPY_ALL_W7]
PCP21CT.DLL =
PDR21CX4.dll =
PDR21UX.dll =
concrt140.dll =
msvcp140.dll =
msvcp140_1.dll =
msvcp140_2.dll =
msvcp140_atomic_wait.dll =
msvcp140_codecvt_ids.dll =
vccorlib140.dll =
vcruntime140.dll =
API-MS-Win-devices-config-L1-1-0.dll =
API-MS-Win-devices-config-L1-1-1.dll =

[USB_COPY_ALL_W764]
PCP21CT64.DLL =
PDR21CX4.dll =
PDR21UX.dll =
concrt140.dll =
msvcp140.dll =
msvcp140_1.dll =
msvcp140_2.dll =
msvcp140_atomic_wait.dll =
msvcp140_codecvt_ids.dll =
vccorlib140.dll =
vcruntime140.dll =
vcruntime140_1.dll =
API-MS-Win-devices-config-L1-1-0.dll =
API-MS-Win-devices-config-L1-1-1.dll =



